> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Details



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/places/{placeId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/places/{placeId}:
    get:
      tags:
        - Places
      summary: Details
      operationId: PlacesController_details_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: placeId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[A-Za-z0-9_-]{1,300}$
        - name: sessionToken
          required: true
          in: query
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaceAddressResponseDto'
components:
  schemas:
    PlaceAddressResponseDto:
      type: object
      properties:
        placeId:
          type: string
        address:
          type:
            - string
            - 'null'
        apartment:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        zipCode:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
        subdivisionCode:
          type:
            - string
            - 'null'
        suggestedRegion:
          type:
            - string
            - 'null'
      required:
        - placeId
        - address
        - apartment
        - city
        - state
        - zipCode
        - country
        - countryCode
        - subdivisionCode
        - suggestedRegion

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.